[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# EPoll_Data

Epoll data call structure

## Declaration

Source position: linux.pp line 263

`type EPoll_Data = record`
`case Integer of`
`0: (`
`ptr: pointer;` |  | Pointer to data
`);`
`1: (`
`fd: cint;` |  | File descriptor
`);`
`2: (`
`u32: cuint;` |  | Unsigned 32-bit integer
`);`
`3: (`
`u64: cuint64;` |  | Unsigned 64-bit integer
`);`
`end;`

## Description

Data structure used in EPOLL IOCTL call.